# DecryptRequestEx

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**key** | [**SobjectDescriptor**](SobjectDescriptor.md) |  | 
**alg** | [**ObjectType**](ObjectType.md) |  | [optional] 
**cipher** | **bytearray** | The ciphertext to decrypt. | 
**mode** | [**CryptMode**](CryptMode.md) |  | [optional] 
**iv** | **bytearray** | The initialization value used to encrypt this ciphertext. This field is required for symmetric ciphers, and ignored for asymmetric ciphers.  | [optional] 
**ad** | **bytearray** | The authenticated data used with this ciphertext and authentication tag. This field is required for symmetric ciphers using cipher mode GCM or CCM, and must not be specified for all other ciphers.  | [optional] 
**tag** | **bytearray** | The authentication tag used with this ciphertext and authenticated data. This field is required for symmetric ciphers using cipher mode GCM or CCM, and must not be specified for all other ciphers.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


