# EncryptResponse

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**kid** | **str** | ID of the key used to perform encryption. | [optional] 
**cipher** | **bytearray** | The encrypted data. | 
**iv** | **bytearray** | The initialiation value used for symmetric encryption. Not returned for asymmetric ciphers. | [optional] 
**tag** | **bytearray** | For symmetric ciphers with cipher mode GCM or CCM, the authentication tag produced by the cipher. Its length will match the tag length specified by the encryption request.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


